extends WeaponState

func enter() -> void:
	machine.animation_player.play(machine.animation_prefix + "idle")

func exit() -> void:
	pass

func use_begin() -> void:
	transition.emit("Attack")

func alternate_state() -> void:
	transition.emit("HeavyAttack")
